| Home | Libraries | People | FAQ | More

###### params_encoded_ref::operator= (1 of 2 overloads)

Assignment.

###### Synopsis

    params_encoded_ref&
    operator=(
        params_encoded_ref const& other);

###### Description

The previous contents of this are replaced by the contents of `other.

All iterators are invalidated.

###### Remarks

The strings referenced by `other` must not come from the underlying url, or else the behavior is undefined.

###### Effects

    this->assign( other.begin(), other.end() );

###### Complexity

Linear in `other.buffer().size()`.

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Parameters

Name | Description
--- | ---
`other` | The params to assign.